VistaIOPrintParameters(3)

NAME
VistaIOPrintParameters - print the values of a set of parameters

SYNOPSIS
#include <vistaio.h>

void VistaIOPrintParameters (FILE *f, int nparams, VistaIOOptionDescRec params[], VistaIOPointer values);

ARGUMENTS

f   Specifies the stream to which the parameters are to be printed.

nparams
    Specifies the number of entries in the table of option descriptors.

params
    Specifies a table of option descriptors. Each entry describes one parameter.

values
    Specifies the location of the structure containing the parameter values.

DESCRIPTION
VistaIOPrintParameters prints the names, descriptions, and values of a set of parameters.

The parameters are described by a table of option descriptors (see VistaIOoption(3)).

Parameter values must be stored in the structure pointed to by values. The offset at which a parameter lies within that structure must be supplied by the value field of the parameter's params table entry. Appropriate definitions having this property are produced by the vpdc compiler.

SEE ALSO
VistaIOoption(3), VistaIOLoadParameters(3), VistaIOParseParamOptions(3), VistaIOReportValidParamOptions(3)

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>